import axios from '@/common/services/axios-instance'

class AuditPorjectNodeService {
    // 获取项目节点信息
    getPorjectNodeInfo(id) {
        return axios({
            url: `api/xcoa-mobile/v1/iamprojectworknode/getPorjectNodeInfo?projectId=` + id,
        })
    }

    // 操作前数据权限校验
    checkOperatorAuthority(id) {
        return axios({
            url: `api/xcoa-mobile/v1/iamprojectuser/checkOperatorAuthority?projectId=` + id,
        })
    }

    // 获取数据字典配置
    getDictionary(id) {
    return axios({
      url: `api/xcoa-mobile/v1/iam-law/dictionary?key=${id}`,
      method: 'get',
    })
  }

   // 修改项目节点
   saveProjectNode(param) {
    return axios.post(`api/xcoa-mobile/v1/iamprojectworknode/savePorjectNodeInfo`,param
    )
  }

}

export default new AuditPorjectNodeService()
